com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionSignaledEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionSignaledEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionSignaledEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `WorkflowExecutionSignaled` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionSignaledEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionSignaledEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`Long` `getExternalInitiatedEventId()` The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflow` decision to signal this workflow execution.The source event with this ID can be found in the history of the source workflow execution.
`WorkflowExecution` `getExternalWorkflowExecution()` The workflow execution that sent the signal.
`String` `getInput()` Inputs provided with the signal (if any).
`String` `getSignalName()` The name of the signal received.
`int` `hashCode()`
`void` `setExternalInitiatedEventId(Long externalInitiatedEventId)` The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflow` decision to signal this workflow execution.The source event with this ID can be found in the history of the source workflow execution.
`void` `setExternalWorkflowExecution(WorkflowExecution externalWorkflowExecution)` The workflow execution that sent the signal.
`void` `setInput(String input)` Inputs provided with the signal (if any).
`void` `setSignalName(String signalName)` The name of the signal received.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionSignaledEventAttributes` `withExternalInitiatedEventId(Long externalInitiatedEventId)` The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflow` decision to signal this workflow execution.The source event with this ID can be found in the history of the source workflow execution.
`WorkflowExecutionSignaledEventAttributes` `withExternalWorkflowExecution(WorkflowExecution externalWorkflowExecution)` The workflow execution that sent the signal.
`WorkflowExecutionSignaledEventAttributes` `withInput(String input)` Inputs provided with the signal (if any).
`WorkflowExecutionSignaledEventAttributes` `withSignalName(String signalName)` The name of the signal received.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionSignaledEventAttributes

    public WorkflowExecutionSignaledEventAttributes()

### Method Detail

#### setSignalName

    public void setSignalName(String signalName)

The name of the signal received. The decider can use the signal name and inputs to determine how to the process the signal.

Parameters:
  `signalName` - The name of the signal received. The decider can use the signal name and inputs to determine how to the process the signal.

#### getSignalName

    public String getSignalName()

The name of the signal received. The decider can use the signal name and inputs to determine how to the process the signal.

Returns:
  The name of the signal received. The decider can use the signal name and inputs to determine how to the process the signal.

#### withSignalName

    public WorkflowExecutionSignaledEventAttributes withSignalName(String signalName)

The name of the signal received. The decider can use the signal name and inputs to determine how to the process the signal.

Parameters:
  `signalName` - The name of the signal received. The decider can use the signal name and inputs to determine how to the process the signal.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInput

    public void setInput(String input)

Inputs provided with the signal (if any). The decider can use the signal name and inputs to determine how to process the signal.

Parameters:
  `input` - Inputs provided with the signal (if any). The decider can use the signal name and inputs to determine how to process the signal.

#### getInput

    public String getInput()

Inputs provided with the signal (if any). The decider can use the signal name and inputs to determine how to process the signal.

Returns:
  Inputs provided with the signal (if any). The decider can use the signal name and inputs to determine how to process the signal.

#### withInput

    public WorkflowExecutionSignaledEventAttributes withInput(String input)

Inputs provided with the signal (if any). The decider can use the signal name and inputs to determine how to process the signal.

Parameters:
  `input` - Inputs provided with the signal (if any). The decider can use the signal name and inputs to determine how to process the signal.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExternalWorkflowExecution

    public void setExternalWorkflowExecution(WorkflowExecution externalWorkflowExecution)

The workflow execution that sent the signal. This is set only of the signal was sent by another workflow execution.

Parameters:
  `externalWorkflowExecution` - The workflow execution that sent the signal. This is set only of the signal was sent by another workflow execution.

#### getExternalWorkflowExecution

    public WorkflowExecution getExternalWorkflowExecution()

The workflow execution that sent the signal. This is set only of the signal was sent by another workflow execution.

Returns:
  The workflow execution that sent the signal. This is set only of the signal was sent by another workflow execution.

#### withExternalWorkflowExecution

    public WorkflowExecutionSignaledEventAttributes withExternalWorkflowExecution(WorkflowExecution externalWorkflowExecution)

The workflow execution that sent the signal. This is set only of the signal was sent by another workflow execution.

Parameters:
  `externalWorkflowExecution` - The workflow execution that sent the signal. This is set only of the signal was sent by another workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExternalInitiatedEventId

    public void setExternalInitiatedEventId(Long externalInitiatedEventId)

The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflow` decision to signal this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event. This field is set only if the signal was initiated by another workflow execution.

Parameters:
  `externalInitiatedEventId` - The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflow` decision to signal this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event. This field is set only if the signal was initiated by another workflow execution.

#### getExternalInitiatedEventId

    public Long getExternalInitiatedEventId()

The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflow` decision to signal this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event. This field is set only if the signal was initiated by another workflow execution.

Returns:
  The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflow` decision to signal this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event. This field is set only if the signal was initiated by another workflow execution.

#### withExternalInitiatedEventId

    public WorkflowExecutionSignaledEventAttributes withExternalInitiatedEventId(Long externalInitiatedEventId)

The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflow` decision to signal this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event. This field is set only if the signal was initiated by another workflow execution.

Parameters:
  `externalInitiatedEventId` - The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflow` decision to signal this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event. This field is set only if the signal was initiated by another workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionSignaledEventAttributes clone()

Overrides:
  `clone` in class `Object`